Subject: Re: bug#7796: ^M in vc-dir

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Jan 2011 13:35:55 -0500

> Date: Thu, 6 Jan 2011 12:49:11 -0500
> From: Sam Steingold <[email-masked]>
> Cc: 
> 
> I am running bzr tip emacs on winxp64.
> C-x v d emacs/trunk RET
> produces a buffer:
> 
> =================================
> VC backend : Bzr
> Working dir: ~/src/emacs/trunk/
> Parent branch      : bzr+ssh://[email-masked]/emacs/trunk/^M
> 
> Shelves            : No shelved changes
> 
>                          ./
>                          lisp/
>     edited               lisp/w32-fns.el^M
> =================================
> 
> where ^M are the actual \r characters.
> this breaks things, e.g., I cannot hit RET on the file name, I get the
> non-existent file with a ^M in the name.
> this does not happen with hg and svn.

It doesn't happen for me with bzr, either.  What is
buffer-file-coding-system of this buffer?  It should be something-dos,
I guess it isn't in your case.

Also, can you see in your .bzr.log what commands is vc-dir invoking,
exactly, when you type "C-x v d"?